yaml_token_s Struct Reference
Tokens

The token structure. More...

`#include <yaml.h>`

## Data Fields

yaml_token_type_t | type
| The token type.
union { |
struct { |
yaml_encoding_t encoding |
| The stream encoding.
} stream_start
| The stream start (for `YAML_STREAM_START_TOKEN`).
struct { |
yaml_char_t * value |
| The alias value.
} alias
| The alias (for `YAML_ALIAS_TOKEN`).
struct { |
yaml_char_t * value |
| The anchor value.
} anchor
| The anchor (for `YAML_ANCHOR_TOKEN`).
struct { |
yaml_char_t * handle |
| The tag handle.
yaml_char_t * suffix |
| The tag suffix.
} tag
| The tag (for `YAML_TAG_TOKEN`).
struct { |
yaml_char_t * value |
| The scalar value.
size_t length |
| The length of the scalar value.
yaml_scalar_style_t style |
| The scalar style.
} scalar
| The scalar value (for `YAML_SCALAR_TOKEN`).
struct { |
int major |
| The major version number.
int minor |
| The minor version number.
} version_directive
| The version directive (for `YAML_VERSION_DIRECTIVE_TOKEN`).
struct { |
yaml_char_t * handle |
| The tag handle.
yaml_char_t * prefix |
| The tag prefix.
} tag_directive
| The tag directive (for `YAML_TAG_DIRECTIVE_TOKEN`).
} | data
| The token data.
yaml_mark_t | start_mark
| The beginning of the token.
yaml_mark_t | end_mark
| The end of the token.

## Detailed Description

The token structure.

## Field Documentation

## value

yaml_char_t* yaml_token_s::value

The alias value.

The scalar value.

The anchor value.

The documentation for this struct was generated from the following file:

- yaml.h